Subject: Re: [bug#39064] [PATCH 5/6] doc: Add pulseaudio documentation.

From: Marius Bakke <[email-masked]>
Date: Sat, 11 Jan 2020 18:09:04 +0100

Leo Prikler <[email-masked]> writes:

> * doc/guile.texi: Add documentation for pulseaudio-service-type and
> pulseaudio-configuration.

Ideally this would have been squashed with the first commit, but then
we'd have to move ladspa-service-type first, so I kept it as a
standalone commit.  I also added a copyright notice for you.

[...]

> +@deftp {Data Type} pulseaudio-configuration
> +Data type representing the configuration for @code{pulseaudio-service}.
> +
> +@table @asis
> +@item @code{client-conf} (default: @var{()})
> +List of settings to set in @file{client.conf}.
> +Accepts a list of strings or a symbol-value pairs.  A string will be
> +inserted as-is with a newline added.  A pair will be formatted as
> +``key = value'', again with a newline added.
> +
> +@item @code{daemon-conf} (default: @var{((flat-volumes . no))})
> +List of settings to set in @file{daemon.conf}, formatted just like
> +@code{client-conf}.
> +
> +In addition to the above, @code{default-script-file} will be set to the
> +value of @code{script-file}.  By default, @var{flat-volumes} is set to
> +``no'', so as to avoid bugs related to this feature.

The first sentence of this paragraph is obsolete, no?  The second is
rather vague, so I opted to remove the whole thing.  Let me know if you
think something should be added!

> +@item @code{script-file}
> +Script file to use as as @file{default.pa}.  Defaults to the one included by
> +the @code{pulseaudio} package.
> +
> +@item @code{system-script-file}
> +Script file to use as as @file{system.pa}.  Defaults to the one included by
> +the @code{pulseaudio} package.
> +@end table
> +@end deftp

I added a (default: ...) on these two and removed the related sentences.